Uploaded image for project: 'Confluence'
  1. Confluence
  2. CONF-39922

Upgrade Atlassian REST to 3.0.6 or above to get rid of XSRFProtectionExcluded warnings

    Details

      Description

      This will get rid of the warnings for Confluence Questions and other plugins:

      WARN [http-nio-8090-exec-6] [common.security.jersey.XsrfResourceFilterFactory] isXsrfProtectionExcludedAnnotationPresent Detected usage of the com.atlassian.annotations.security.XsrfProtectionExcluded annotation loaded from elsewhere. WebappClassLoader
      context: ROOT
      delegate: false
      ----------> Parent Classloader:
      java.net.URLClassLoader@681a9515
      != com.atlassian.confluence.plugins.confluence-questions [247]
      – referer: http://localhost:8090/questions | url: /rest/questions/1.0/statistics | userName: userA
      

      More information in REST-347.

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                19 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Last commented:
                  25 weeks ago